! Copyright (C) 1998-2007 Valerio Olevano, Lucia Reining, Francesco Sottile, CNRS.
! All rights reserved.
!
! DP code
! Linear Response TDDFT code in Frequency-Reciprocal space on a Plane Waves basis set.
! Calculate Dielectric Properties.

module dpdef

implicit none

type dpparam
  logical TESTPARTICLE, TESTELECTRON
  logical RPA, LDA, GW, SO, NLDA
  logical FXCALPHA, FXCEPS, FXCEPSDIAGO, FXCVBAR, CUTOFF
  logical NOFXC
  logical QZERO
  character (len=12) :: ttype
  character (len=20) :: type
  character (len=7)  :: kxct
  integer npwmat, npwwfn, npwvec
  integer ns
  integer lomo, nbnds
  integer nkibz, nkbz
  integer nel
  integer nop, ninv
  logical inv
  real qpg(3)
  integer nq
  real q(3,6)
  real qcc(3,6)
  real qcc2pioa(3,6)
  integer ig
  integer g(3)
  real gcc(3)
  real gcc2pioa(3)
  integer alias
  real soenergy
  real alphadiv
  real rcut, beta
  real omegai, omegae, domega
  real broad
  integer nomega
  complex, pointer :: omega(:)
endtype

end module


